Bug 221772 - no ownership/bad perms /usr/share/emacs/site-lisp/muse/contrib
no ownership/bad perms /usr/share/emacs/site-lisp/muse/contrib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-common-muse (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 16:09 EST by Chris Schanzle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 14:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2007-01-07 16:09:26 EST
Description of problem:

installed updates:

emacs-muse-3.02.93-1.fc5
emacs-muse-el-3.02.93-1.fc5

With umask=027 (this is how we configured /etc/init.d/functions, which starts
crond, which performed the yum update), these two directories were unreadable by
the world and emacs doesn't start:
$ emacs test
Opening directory: permission denied, /usr/share/emacs/site-lisp/muse/contrib 

/usr/share/emacs/site-lisp/muse/{contrib,experimental}

How reproducible:
100%

Steps to Reproduce:
1.  rpm -e emacs-muse emacs-muse-el

2.  find /usr/share/emacs/site-lisp/muse/
/usr/share/emacs/site-lisp/muse/
/usr/share/emacs/site-lisp/muse/experimental
/usr/share/emacs/site-lisp/muse/contrib

Note that nothing owns it
rpm -q --whatprovides /usr/share/emacs/site-lisp/muse/{contrib,experimental}
file /usr/share/emacs/site-lisp/muse/contrib is not owned by any package
file /usr/share/emacs/site-lisp/muse/experimental is not owned by any package

rmdir /usr/share/emacs/site-lisp/muse/{contrib,experimental}

3.  install packages with tightened umask
umask 027
yum -y install  emacs-muse emacs-muse-el

Actual results:
find /usr/share/emacs/site-lisp/muse/ -type d -ls
1253220    4 drwxr-xr-x   4 root     root         4096 Jan  7 15:59
/usr/share/emacs/site-lisp/muse/
1343721    4 drwxr-x---   2 root     root         4096 Jan  7 15:59
/usr/share/emacs/site-lisp/muse/experimental
1343720    4 drwxr-x---   2 root     root         4096 Jan  7 15:59
/usr/share/emacs/site-lisp/muse/contrib


Expected results:
readable directories

Additional info:

Should these directories be "owned" by one of these packages and have
appropriate default permissions (and get removed?).  Subpackages are a pain, I
know, but I'm not an expert here.  :-)
Comment 1 Jonathan Underwood 2007-01-07 17:55:31 EST
Hi Chris,

I've pushed packages which fixes up the ownership of the contrib and
experimental directories, which I hope will fix the bug. Let me know if not.
Comment 2 Chris Schanzle 2007-01-09 11:14:56 EST
Perfect!  Thanks for the quick response!

Is it an issue that rpm -e emacs-muse emacs-muse-el doesn't remove
/usr/share/emacs/site-lisp/muse/{contrib,experimental} directories?  I didn't
remove or update emacs-common-muse yet...
Comment 3 Jonathan Underwood 2007-01-13 14:08:48 EST
That shouldn't be a problem - the ownership should be fixed when the package
upgrades, I believe. Has the updated package fixed the problem?
Comment 4 Chris Schanzle 2007-01-13 14:39:12 EST
Yes, problem fixed...installing with umask 027 does not result in unreadable
directories.  Resolved!  Thanks again!
Comment 5 Jonathan Underwood 2007-01-13 14:42:40 EST
No problem. Thanks for the report. Nice to know someone is actually using the
package :)

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.